gavl

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
gavl_compression_info_t Struct Reference
Compressed stream support

Compression format. More...

`#include <compression.h>`

## Data Fields
int | flags
| ORed combination of GAVL_COMPRESSION_* flags.
gavl_codec_id_t | id
| Codec ID.
uint8_t * | global_header
| Global header.
int | global_header_len
| Length of global header.
int | bitrate
| Needed by some codecs, negative values mean VBR.
int | palette_size
| Size of the embedded palette for image codecs.

## Detailed Description

Compression format.

This defines parameters of the compression. The most important value is the gavl_codec_id_t. Formats, which support a global header, store it here as well.

Usually there must be an associated audio or video format, because some containers need this as well.

The documentation for this struct was generated from the following file:

- /tmp/buildpkgs/gavl/gavl-1.2.0/include/gavl/compression.h